Skip to main content
GET
/
order
List Orders
curl --request GET \
  --url https://uat-api.clinkbill.com/api/order \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "total": 123,
  "rows": [
    {
      "orderId": "<string>",
      "merchantReferenceId": "<string>",
      "invoiceId": "<string>",
      "customerId": "<string>",
      "customerEmail": "<string>",
      "createTime": 1754819711382,
      "productId": "<string>",
      "priceId": "<string>",
      "priceDataList": [
        {
          "name": "<string>",
          "unitAmount": 1,
          "quantity": 2,
          "currency": "<string>",
          "imageUrl": "<string>"
        }
      ],
      "paymentMethod": {
        "paymentMethodType": "CARD",
        "paymentInstrumentId": "<string>"
      },
      "paymentExecutionDetails": [
        {
          "channelCode": "<string>",
          "channelTransactionId": "<string>",
          "originalFailureCode": "<string>",
          "originalFailureMessage": "<string>"
        }
      ],
      "amountSubtotal": 9.99,
      "amountTotal": 9.99,
      "paymentCurrency": "USD",
      "originalCurrency": "USD",
      "paymentTime": 1754819711382,
      "sessionId": "<string>",
      "metadata": {},
      "riskLevel": "<string>"
    }
  ],
  "code": 200,
  "msg": "success"
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Query Parameters

subscriptionId
string

Subscription ID used to filter recurring orders

customerId
string

Customer ID used to filter orders

pageNum
integer<int32>
default:1

Current page number. Defaults to 1.

pageSize
integer<int32>
default:20

Number of records per page. Defaults to 20. The maximum is 50; larger values are capped at 50.

Required range: x <= 50

Response

Orders retrieved successfully

Table Paging Data Object

total
integer<int64>

Total number of records

rows
object[]

List of data

code
integer<int32>

Response status code, 200 when success

Example:

200

msg
string

Brief description of what happened, 'success' when happy case

Example:

"success"